﻿$ErrorActionPreference = 'Stop';

$packageName    = $env:ChocolateyPackageName
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/3409e2af086f/TargetSupportInstaller/UnitySetup-Linux-Mono-Support-for-Editor-2021.3.31f1.exe'
$checksum64     = 'ec2a5f5896b124f43203901a423748b2f811f0b9c3feb7a1a8c0bf2d2a83c253'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
